J3.x

J3.x:Обновление до версии Joomla 3.8.13 и 3.9.0 в роли не-суперпользователя

From Joomla! Documentation

This page is a translated version of the page J3.x:Updating to Joomla 3.8.13 and 3.9.0 as non-superuser and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands • ‎русский • ‎svenska

Как выглядит ошибка

Когда вы запускаете обновление до версии 3.8.13 или 3.9.0+ с любой версии ниже, чем 3.8.13, как не-суперпользователь, обновление не завершает полностью все необходимые шаги и показывает сообщение "Вы не авторизированы для просмотра данного ресурса".

Версии в которых проявляется

Общая информация

Относится к любой версии Joomla! при обновлении до версии "3.8.13 и выше"

Возможные причины

Начиная с версии 3.8.13 и выше, компонент обновления ядра Joomla проверяет, являетесь ли вы суперпользователем для выполнения обновления ядра. Как на любую младшую версию это также возможно для некоторых не суперпользователей с правильными разрешениями.

Как исправить

Для начала, выполняйте обновления только как суперпользователь. Тогда вы не получите это сообщение.

  • Если вы получили данное сообщение при обновлении до версии 3.8.13, пожалуйста выберите "Расширения    Менеджер расширений    База данных" и нажмите кнопку "Исправить".
  • Когда вы нажимаете "Обновить" до версии Joomla 3.9.0 или выше, также проверьте расширения в разделе поиска "Расширения    Менеджер расширений    Поиск". Нажмите на кнопку "Найти", затем установите найденные расширения с помощью кнопки "Установить".